Bug 196296 - updating www/webkit-gtk2 fails
Summary: updating www/webkit-gtk2 fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-27 14:05 UTC by Gerard Seibert
Modified: 2015-01-20 14:17 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Build log (66.71 KB, text/plain)
2014-12-27 14:05 UTC, Gerard Seibert
no flags Details
typescript from attempt to rebuild webkit-gtk2 (659.86 KB, text/plain)
2014-12-27 17:48 UTC, david
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerard Seibert 2014-12-27 14:05:33 UTC
Created attachment 150986 [details]
Build log

uname -a
FreeBSD scorpio.seibercom.net 10.1-RELEASE FreeBSD 10.1-RELEASE #0 r274401: Tue Nov 11 21:02:49 UTC 2014     root@releng1.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64

After updating to the latest version of 'png" and following the instructions
in UPDATING, I find that I am unable to build "webkit-gtk2"

The build ends with this error message:

/usr/bin/ld:./.libs/libWTF.a: file format not recognized; treating as linker script
/usr/bin/ld:./.libs/libWTF.a:1: syntax error
c++: error: linker command failed with exit code 1 (use -v to see invocation)
GNUmakefile:40531: recipe for target 'Programs/LLIntOffsetsExtractor' failed
gmake[1]: *** [Programs/LLIntOffsetsExtractor] Error 1
gmake[1]: Leaving directory '/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.7'
*** Error code 1

Stop.
make: stopped in /usr/ports/www/webkit-gtk2
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20141227-20578-ho00od env UPGRADE_TOOL=portupgrade UPGRADE_PORT=webkit-gtk2-1.8.3_7 UPGRADE_PORT_VER=1.8.3_7 make
** Fix the problem and try again.
--->  Build of www/webkit-gtk2 ended at: Sat, 27 Dec 2014 08:52:32 -0500 (consumed 00:03:24)
--->  Upgrade of www/webkit-gtk2 ended at: Sat, 27 Dec 2014 08:52:32 -0500 (consumed 00:03:24)
--->  ** Upgrade tasks 1: 0 done, 0 ignored, 0 skipped and 1 failed
--->  Listing the results (+:done / -:ignored / *:skipped / !:failed)
        ! www/webkit-gtk2 (webkit-gtk2-1.8.3_7) (unknown build error)


The entire build log is available here:
http://seibercom.net/logs/webkit-gtk2.txt
Comment 1 Bugzilla Automation freebsd_committer 2014-12-27 14:05:33 UTC
Auto-assigned to maintainer gnome@FreeBSD.org
Comment 2 david 2014-12-27 17:48:29 UTC
Created attachment 150995 [details]
typescript from attempt to rebuild webkit-gtk2

This is a typescript that provides details of my latest unsuccessful attempt to rebuild webkit-gtk2 after the update to png.
Comment 3 david 2014-12-27 17:50:55 UTC
Ugh; sorry: I had written a comment, but apparently the process of attaching my typescript took precedence or something.

Anyway: I also see a failure, but my symptoms differ.  My environment:

FreeBSD g1-253.catwhisker.org 10.1-STABLE FreeBSD 10.1-STABLE #1424  r276291M/276295:1001504: Sat Dec 27 05:12:21 PST 2014     root@g1-253.catwhisker.org:/common/S1/obj/usr/src/sys/CANARY  i386

The ports tree is a working copy of head @375679.
Comment 4 david 2015-01-05 20:04:05 UTC
Per a clue from Amit Sengupta (ref. <http://docs.FreeBSD.org/cgi/mid.cgi?CAHay0AZHOnqdZ73w2dUmYVRF93oLwOT7fTJaVc+Qpx5xW=+NwA>), I was able to build the port successfully once I changed the configuration options to enable WebGL.

Successful build was running:
FreeBSD localhost 10.1-STABLE FreeBSD 10.1-STABLE #1433  r276686M/276694:1001505: Mon Jan  5 05:00:47 PST 2015     root@g1-253.catwhisker.org:/common/S1/obj/usr/src/sys/CANARY  i386

with a ports tree that was a "head" working copy at r376292.
Comment 5 peo 2015-01-06 00:17:20 UTC
9.3-STABLE recent build

Update OK with BOTH GL and Audio enabled, otherwise no-go
Comment 6 commit-hook freebsd_committer 2015-01-10 10:04:38 UTC
A commit references this bug:

Author: kwm
Date: Sat Jan 10 10:03:41 UTC 2015
New revision: 376685
URL: https://svnweb.freebsd.org/changeset/ports/376685

Log:
  MFH: r376609

  Update webkit-gtk[23] to 1.4.8.

  Switch webkit-gtk3 to compiler:c++11-lib instead of homegrown clang code [2].
    This unbreaks the build on 8.x.
  Axe WEBGL and WEBAUDIO options and turn them on by default (like upstream
    intended). Disabling them leads to wierd build failures, due to untested
    build paths. [1]
  Only set -Qunused-arguments if the compiler is clang [2]
  Fix SSL connection issues with some websites after the POODLE vulnerability fix.

  PR:		196333 [1], 196031 [2], 195628 [2], 196296 [1]
  Submitted by:	peo@bsdlabs.com and david@catwhisker.org [1], truckman@ [2]
  Security:	e9ccdb28-9802-11e4-9d9c-bcaec565249c
  Security:	CVE-2014-1344, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386
  Security:	CVE-2014-1387, CVE-2014-1388, CVE-2014-1389, CVE-2014-1390
  Approved by:	portmgr (zi@)

Changes:
_U  branches/2015Q1/
  branches/2015Q1/www/webkit-gtk2/Makefile
  branches/2015Q1/www/webkit-gtk2/distinfo
  branches/2015Q1/www/webkit-gtk2/pkg-plist
  branches/2015Q1/www/webkit-gtk3/Makefile
  branches/2015Q1/www/webkit-gtk3/distinfo
  branches/2015Q1/www/webkit-gtk3/pkg-plist
Comment 7 Koop Mast freebsd_committer 2015-01-20 14:17:35 UTC
This problem was fixed, but use to the bugzilla db misshap got reverted. So close it again.